[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: libvisual



On Tue, 2005-04-26 at 12:29 +0200, Aurelien Bompard wrote:
> Michael A. Peters wrote:
> > I see that libvisual is in Extras - but I don't see any
> > libvisual-plugins package.
> 
> I packaged libvisual at first as an amaroK dependency. I intended to package
> libvisual-plugins at some point, but never found the time (and forgot about
> it...)
> Feel free to package it if you want.

There is a hitch with it - it libvisual-plugins package does not compile
with gcc4.

So it would need to be patched to do so, I assume that packages should
compile with the default compiler, and the fact that it doesn't means
there is probably a problem with the code.

That being said, when compiled with gcc32 they do work beautifully with
the gstreamer libvisual plugin compiled against the libvisual package in
rawhide (tested with totem).

If I can get them to compile with gcc4 I will submit a package for
review. It might be as simple as disabling one of the plugins until
upstream fixes it (haven't looked at where it failed).


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]